Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network161.6.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
161.6.0.0
Broadcast address
161.7.255.255
First usable
161.6.0.1
Last usable
161.7.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex A1060000 · Integer 2701524992 to 2701656063
Reverse DNS zones
6.161.in-addr.arpa
7.161.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100001.00000110.00000000.00000000161.6.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10100001.00000110.00000000.00000000161.6.0.0
Broadcast10100001.00000111.11111111.11111111161.7.255.255
Split into smaller subnets/21

161.6.0.0/15 makes 64 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1161.6.0.0/21161.6.0.1 to 161.6.7.254161.6.7.2552,046
2161.6.8.0/21161.6.8.1 to 161.6.15.254161.6.15.2552,046
3161.6.16.0/21161.6.16.1 to 161.6.23.254161.6.23.2552,046
4161.6.24.0/21161.6.24.1 to 161.6.31.254161.6.31.2552,046
5161.6.32.0/21161.6.32.1 to 161.6.39.254161.6.39.2552,046
6161.6.40.0/21161.6.40.1 to 161.6.47.254161.6.47.2552,046
7161.6.48.0/21161.6.48.1 to 161.6.55.254161.6.55.2552,046
8161.6.56.0/21161.6.56.1 to 161.6.63.254161.6.63.2552,046
9161.6.64.0/21161.6.64.1 to 161.6.71.254161.6.71.2552,046
10161.6.72.0/21161.6.72.1 to 161.6.79.254161.6.79.2552,046
11161.6.80.0/21161.6.80.1 to 161.6.87.254161.6.87.2552,046
12161.6.88.0/21161.6.88.1 to 161.6.95.254161.6.95.2552,046
13161.6.96.0/21161.6.96.1 to 161.6.103.254161.6.103.2552,046
14161.6.104.0/21161.6.104.1 to 161.6.111.254161.6.111.2552,046
15161.6.112.0/21161.6.112.1 to 161.6.119.254161.6.119.2552,046
16161.6.120.0/21161.6.120.1 to 161.6.127.254161.6.127.2552,046
17161.6.128.0/21161.6.128.1 to 161.6.135.254161.6.135.2552,046
18161.6.136.0/21161.6.136.1 to 161.6.143.254161.6.143.2552,046
19161.6.144.0/21161.6.144.1 to 161.6.151.254161.6.151.2552,046
20161.6.152.0/21161.6.152.1 to 161.6.159.254161.6.159.2552,046
21161.6.160.0/21161.6.160.1 to 161.6.167.254161.6.167.2552,046
22161.6.168.0/21161.6.168.1 to 161.6.175.254161.6.175.2552,046
23161.6.176.0/21161.6.176.1 to 161.6.183.254161.6.183.2552,046
24161.6.184.0/21161.6.184.1 to 161.6.191.254161.6.191.2552,046
25161.6.192.0/21161.6.192.1 to 161.6.199.254161.6.199.2552,046
26161.6.200.0/21161.6.200.1 to 161.6.207.254161.6.207.2552,046
27161.6.208.0/21161.6.208.1 to 161.6.215.254161.6.215.2552,046
28161.6.216.0/21161.6.216.1 to 161.6.223.254161.6.223.2552,046
29161.6.224.0/21161.6.224.1 to 161.6.231.254161.6.231.2552,046
30161.6.232.0/21161.6.232.1 to 161.6.239.254161.6.239.2552,046
31161.6.240.0/21161.6.240.1 to 161.6.247.254161.6.247.2552,046
32161.6.248.0/21161.6.248.1 to 161.6.255.254161.6.255.2552,046
33161.7.0.0/21161.7.0.1 to 161.7.7.254161.7.7.2552,046
34161.7.8.0/21161.7.8.1 to 161.7.15.254161.7.15.2552,046
35161.7.16.0/21161.7.16.1 to 161.7.23.254161.7.23.2552,046
36161.7.24.0/21161.7.24.1 to 161.7.31.254161.7.31.2552,046
37161.7.32.0/21161.7.32.1 to 161.7.39.254161.7.39.2552,046
38161.7.40.0/21161.7.40.1 to 161.7.47.254161.7.47.2552,046
39161.7.48.0/21161.7.48.1 to 161.7.55.254161.7.55.2552,046
40161.7.56.0/21161.7.56.1 to 161.7.63.254161.7.63.2552,046
41161.7.64.0/21161.7.64.1 to 161.7.71.254161.7.71.2552,046
42161.7.72.0/21161.7.72.1 to 161.7.79.254161.7.79.2552,046
43161.7.80.0/21161.7.80.1 to 161.7.87.254161.7.87.2552,046
44161.7.88.0/21161.7.88.1 to 161.7.95.254161.7.95.2552,046
45161.7.96.0/21161.7.96.1 to 161.7.103.254161.7.103.2552,046
46161.7.104.0/21161.7.104.1 to 161.7.111.254161.7.111.2552,046
47161.7.112.0/21161.7.112.1 to 161.7.119.254161.7.119.2552,046
48161.7.120.0/21161.7.120.1 to 161.7.127.254161.7.127.2552,046
49161.7.128.0/21161.7.128.1 to 161.7.135.254161.7.135.2552,046
50161.7.136.0/21161.7.136.1 to 161.7.143.254161.7.143.2552,046
51161.7.144.0/21161.7.144.1 to 161.7.151.254161.7.151.2552,046
52161.7.152.0/21161.7.152.1 to 161.7.159.254161.7.159.2552,046
53161.7.160.0/21161.7.160.1 to 161.7.167.254161.7.167.2552,046
54161.7.168.0/21161.7.168.1 to 161.7.175.254161.7.175.2552,046
55161.7.176.0/21161.7.176.1 to 161.7.183.254161.7.183.2552,046
56161.7.184.0/21161.7.184.1 to 161.7.191.254161.7.191.2552,046
57161.7.192.0/21161.7.192.1 to 161.7.199.254161.7.199.2552,046
58161.7.200.0/21161.7.200.1 to 161.7.207.254161.7.207.2552,046
59161.7.208.0/21161.7.208.1 to 161.7.215.254161.7.215.2552,046
60161.7.216.0/21161.7.216.1 to 161.7.223.254161.7.223.2552,046
61161.7.224.0/21161.7.224.1 to 161.7.231.254161.7.231.2552,046
62161.7.232.0/21161.7.232.1 to 161.7.239.254161.7.239.2552,046
63161.7.240.0/21161.7.240.1 to 161.7.247.254161.7.247.2552,046
64161.7.248.0/21161.7.248.1 to 161.7.255.254161.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses